Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Interface IContributionManagerOverrides

public interface IContributionManagerOverrides

This interface is used by instances of `IContributionItem` to determine if the values for certain properties have been overriden by their manager.

This interface is internal to the framework; it should not be implemented outside the framework.

Since:
  2.0

Field Summary
`static String` | `P_ENABLED` Id for the enabled property.

Method Summary
`Integer` | `getAccelerator(IContributionItem item)` This is not intended to be called outside of the workbench.
`String` | `getAcceleratorText(IContributionItem item)` This is not intended to be called outside of the workbench.
`Boolean` | `getEnabled(IContributionItem item)` Returns `Boolean.TRUE` if the given contribution item should be enabled, `Boolean.FALSE` if the item should be disabled, and `null` if the item may determine its own enablement.
`String` | `getText(IContributionItem item)` This is not intended to be called outside of the workbench.

Field Detail

### P_ENABLED

    public static final String P_ENABLED

  Id for the enabled property. Value is `"enabled"`.

  Since:
    2.0
  See Also:
    Constant Field Values

Method Detail

### getEnabled

    public Boolean getEnabled(IContributionItem item)

  Returns `Boolean.TRUE` if the given contribution item should be enabled, `Boolean.FALSE` if the item should be disabled, and `null` if the item may determine its own enablement.

  Parameters:
    `item` - the contribution item for which the enable override value is determined
  Since:
    2.0

### getAccelerator

    public Integer getAccelerator(IContributionItem item)

  This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

### getAcceleratorText

    public String getAcceleratorText(IContributionItem item)

  This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

### getText

    public String getText(IContributionItem item)

  This is not intended to be called outside of the workbench. This method is intended to be deprecated in 3.1. TODO deprecate for 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.